Bug 1276250 - no symbolic link between firewalld.conf & firewalld-workstation.conf
no symbolic link between firewalld.conf & firewalld-workstation.conf
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 05:03 EDT by antonio montagnani
Modified: 2016-07-19 14:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:21:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description antonio montagnani 2015-10-29 05:03:54 EDT
Description of problem:
I am experiencing some problems in firewall, so I have found a possible cause

Version-Release number of selected component (if applicable):
not applicable as this box has been updated many times

How reproducible:


Steps to Reproduce:
1.just chech properties of firewalld.conf
2.
3.

Actual results:


Expected results:
a symbolic link should be created...

Additional info:
Comment 1 Thomas Woerner 2015-10-29 08:55:45 EDT
Please provide information on the firewalld version and the initially installed and the current fedora product.
Comment 2 antonio montagnani 2015-10-29 10:22:38 EDT
 0.3.14.2-4.fc22 is the actual version. I can't tell which was the original release number that this box has been running for about two years.

Anyway I moved etc/firewall and reinstalled packgage and now is linked
Comment 3 antonio montagnani 2015-10-29 10:23:14 EDT
 0.3.14.2-4.fc22 is the actual version. I can't tell which was the original release number that this box has been running for about two years.

Anyway I moved etc/firewall and reinstalled packgage and now is linked
Comment 4 Thomas Woerner 2016-07-15 12:08:21 EDT
If you change for example the default zone, firewalld will rename the link and save a new file with the new defautlt zone.

As firewalld should not change the workstation config file, this is the only possible way.
Comment 5 Fedora End Of Life 2016-07-19 14:21:57 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.